@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&family=Pacifico&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Staatliches&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border-radius: 5px;
}
body{
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url(paso.jpg);
    background-size: cover;
    background-position: center;
    font-family: 'Nunito', sans-serif;
}
body::before{
	/* 透過した黒を重ねる */
	background-color: rgba(0,0,0,0.3);
	/* どの範囲に重ねるかを指定 */
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	content: ' ';
}
.container{
    position: relative;
    width: 400px;
    background: rgb(251, 252, 251);
    padding: 60px 40px;
}
header{
    letter-spacing: 5px;
    font-size: 40px;
    margin-bottom: 60px;
    font-family: Dancing Script;
}
.input-field, form .button{
    margin: 25px 0;
    position: relative;
    height: 50px;
    width: 100%;
}
.input-field input{
    height: 100%;
    width: 100%;
    border: 1px solid silver;
    padding-left: 15px;
    outline: none;
    font-size: 19px;
    transition: .4s;
}
.input-field .fa-eye {
    position: absolute;
    margin:15px 0 0 -45px;
    font-size: 20px;
    color: black;
}
.input-field .fa-user-circle{
    position: absolute;
    margin:15px 0 0 -43px;
    font-size: 20px;
    color: black;
}
input:focus{
    border: 1px solid #1da1f2;
}
.input-field label{
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    pointer-events:none;
    color: grey;
    font-size: 18px;
    transition: .4s;
}
input:focus ~ label,
input:valid ~ label{
    transform: translateY(-33px);
    background: white;
    font-size: 16px;
    color: #1da1f2;
}
/*--------------- button hover------------------------*/

.button button{
    font-family:'Staatliches';
    width: 100%;
    height: 100%;
    border: none;
    background: none;
    outline: white;
    font-size: 20px;
    cursor: pointer;
    letter-spacing: 1px;
}

.button {
    margin-top: 50px;
    padding: 20px,50px;
    position: relative;
    background-color: rgba(243, 43, 93, 0.705);
    border-radius: 4px;
    color: #fff;
    line-height: 52px;
    -webkit-transition: none;
    transition: none;
    box-shadow: 0 3px 0 rgb(233, 6, 74);
  }
  .button:active {
    top: 4px;
    box-shadow: none;
  }

/*--------------- button hover------------------------*/


/*https://youtu.be/CuABw0IIzR8?list=PLvpPeOqY6W92ngO8RMFI8z4OEEZC8X8n_*/